> For the complete documentation index, see [llms.txt](https://developers.smartpm.com/llms.txt)

# Update status

> POST /project/{projectId}/status



## Servers
- SmartPM Production Environment: https://live.smartpmtech.com (SmartPM Production Environment)


## Authentication methods
- Api key


## Parameters
### Headers

- **X-COMPANY-ID** (string)
  The company's unique ID


### Path parameters

- **projectId** (integer(int64))



### Body: application/json (object)

- **status** (string)



## Responses
### 200
OK

#### Body: */* (object)
- **guid** (string)

- **activityDefaultDurationType** (integer(int32))

- **originalProjectId** (integer(int64))

- **initialProjectId** (integer(int64))

- **baselineSet** (boolean)

- **scheduleType** (string)

- **performanceTrack** (boolean)

- **costTrack** (boolean)

- **hasHistoricalTracking** (boolean)

- **imagePath** (string)

- **defaultScenarioId** (integer(int64))

- **originalScenarioId** (integer(int64))

- **archived** (boolean)

- **weatherProfileId** (integer(int64))

- **percentCompleteType** (string)

- **defaultCalendarId** (integer(int64))

- **calendarNameLength45** (boolean)

- **weatherStationId** (string)

- **creationType** (string)

- **name** (string)

- **id** (integer(int64))

- **state** (string)

- **timeZone** (string)

- **country** (string)

- **source** (string)

- **status** (string)

- **companyId** (string)

- **startDate** (string(date))

- **latitude** (number)

- **longitude** (number)

- **projectPlanId** (string)

- **underConstruction** (boolean)

- **riskProfileId** (integer(int64))

- **qualityProfileId** (integer(int64))

- **city** (string)

- **zipCode** (string)

- **endDate** (string(date))



[Powered by Bump.sh](https://bump.sh)
